# OTTD_CocoaView Class Reference

Subclass of NSView to fix Quartz rendering and mouse awareness. More...

`#import <cocoa_v.h>`

## Public Member Functions
(void) | - setDriver:
(void) | - drawRect:
(BOOL) | - isOpaque
(BOOL) | - acceptsFirstResponder
(BOOL) | - becomeFirstResponder
(void) | - setTrackingRect
(void) | - clearTrackingRect
(void) | - resetCursorRects
(void) | - viewWillMoveToWindow:
(void) | - viewDidMoveToWindow
(void) | - mouseEntered:
(void) | - mouseExited:
## Protected Attributes
CocoaSubdriver * | driver
NSTrackingRectTag | trackingtag

## Detailed Description

Subclass of NSView to fix Quartz rendering and mouse awareness.

Definition at line 149 of file cocoa_v.h.

The documentation for this class was generated from the following file:

- src/video/cocoa/cocoa_v.h